dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Мои макрокоманды

Мои макрокоманды

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 19.05.2008, 15:20 1 |
Мои макрокоманды
zenon
 
Остекляем!!! Алюминим!!!
 
Москва
Регистрация: 21.02.2005
Сообщений: 3,112
Отправить сообщение для zenon с помощью ICQ

zenon вне форума Вставить имя

Предлагаю в данной теме выкладывать используемые макрокоманды.
Выкладывать прошу с описанием, что данная макрокоманда выполняет и как. Если можно, то и рисунки к кнопкам соотвественно.

Выкладываю 4 своих макрокоманды.

Улучшенная команда _Break, разрыв в одной точке с повтором по правой клавише мышки.
Цитата:
^C^C^P(defun c:break2 () (vl-cmdf "_break" pause "f" pause "@")(princ));break2;
ps. Макрокоманда не моя. Рисунок со старой кнопки.


Объект Xline строится горизонтально
Цитата:
^C^C_xline;_h;
Объект Xline строится вертикально
Цитата:
^C^C_xline;_v;

Объект Xline строится по объекту (не работает по примитивам блока и arx объектов сторонних навесок на автокад).
Цитата:
*^C^C_xline;_offset;_Through;_nea;\_none;@;;
Макрокоманда зациклена, выход по Esc.
ps. Макрокоманда не моя.


Объект Xline строится по объекту, с поворотом в указанной точке на 90 градусов (не работает по примитивам блока и arx объектов сторонних навесок на автокад)
Цитата:
^C^C_xline;_offset;_Through;_nea;\_none;@;^C^C_rotate;_last;;\90;
ps. Макрокоманда доработана из предыдущей.

Соотвественно и кнопочки
Button.rar

__________________
Мы можем делать быстро, качественно и недорого, выбирайте любые 2 условия.:search:
Просмотров: 229420
 
Непрочитано 16.06.2008, 09:21
#41
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,492


Profan, признаю - был неправ.
Vova, это обязательно - иначе команда не распознается.
Димас, у меня только ADT установлены, поэтому ничего сказать не могу - возможно, начиная с какой-то версии эта команда встраивается.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 16.06.2008, 17:05
#42
Vova

Engineer
 
Регистрация: 05.09.2003
New-York
Сообщений: 9,685


Ага, значит списывая с бумажки сделал ошибку. Вот это в англ работает, здесь прямая копия ^C^C-LA;U;Z-VPORT;;_CP;\;0,0;1,0;E;P;;M;L;;0,0;-1,0;-LA;LO;Z-VPORT;;
Для русского надо черточки подставить и, получается, вместо сокращенных команд надо дать их полностью. Для команды -LA надо _-LA. Насчет точки (. _-LA). У вас что, часто команdы переопределяются? Тогда почему при других командах точки нет?
Интересно, что спор вокруг макроса (что прямо по теме) а о работе по растру вопросов нет. Разве никто с ними не работает?
Vova вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 16.06.2008, 17:12
#43
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,477
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


Vova, В русском Автокаде локализуется и acad.pgp
Короткое имя команды ПЕРЕНЕСИ (_MOVE;M) - П; -СЛОЙ (_-LAYER; -LA) - -СЛ
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 25.06.2008, 13:32
#44
zenon

Остекляем!!! Алюминим!!!
 
Регистрация: 21.02.2005
Москва
Сообщений: 3,112
Отправить сообщение для zenon с помощью ICQ


Макрос на объединение в полилинию.
1 вариант
(с) VVA
Код:
[Выделить все]
^C^C(defun C:JPL ( / ope ssnab )(setq ope (getvar "PEDITACCEPT"))(setvar "PEDITACCEPT" 1)(setq ssnab (ssget "_I"))(while (not ssnab)(setq ssnab (ssget)))(command "_pedit" "_Multiple" ssnab "" "_Join" 0 "")(setvar "PEDITACCEPT" ope)(setq ssnab nil)(princ));JPL;
2 вариант
(с) Кочетков Андрей
Код:
[Выделить все]
^C^C^P(defun c:polyjoin () (ssget)(vl-cmdf "_pedit" "_m" "_p" "" "_y" "_j" "" "")(princ));polyjoin;
__________________
Мы можем делать быстро, качественно и недорого, выбирайте любые 2 условия.:search:
zenon вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 25.06.2008, 13:52
#45
Profan

Чужой
 
Регистрация: 25.12.2005
Москва
Сообщений: 13,557


zenon, макрос Кочеткова Андрея не будет работать, если все объекты, которые надо объединить - полилинии.
А чем тебе не понравился мой последний макрос отсюда:
http://dwg.ru/f/showthread.php?t=22024
Profan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 25.06.2008, 14:04
#46
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,477
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


Так макрос Андрея будет работать и с полилиниями
Код:
[Выделить все]
^C^C(defun c:polyjoin ()(ssget)(command "peditaccept" 1 "_pedit" "_m" "_p" "" "_j" "" "")(princ));polyjoin;
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 26.06.2008, 09:24
#47
Pilot

Проектировщик свиноводство
 
Регистрация: 21.08.2003
Сообщений: 2,203


Добавлю и свой макрос объединения в полилинию.
Ограничение - первой нужно указывать не полилинию.

Код:
[Выделить все]
*^C^C_pedit;\_y;_j;_box;\\;;
__________________
В любую секунду любой проект готов на 100%, хотя его проработанность может быть и на 4%. (c)
Pilot вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 29.06.2008, 13:12
#48
skkkk

AutoCAD_2008->2011
 
Регистрация: 20.03.2008
Московская область
Сообщений: 2,040


Подскажите пожалуйста, можно ли сделать макрос на кнопку для закрытия Чертежа без сохранения (без вывода диалога Сохранить изменения)?
skkkk на форуме вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 29.06.2008, 22:55
#49
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,492


Теоретически последовательность вида
Код:
[Выделить все]
^C^C(vl-load-com)(vla-close (vla-get-activedocument (vlax-get-acad-object)) :vlax-false)
работать должна. Но лично у меня не сработала.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 29.06.2008, 23:15
#50
skkkk

AutoCAD_2008->2011
 
Регистрация: 20.03.2008
Московская область
Сообщений: 2,040


У меня тоже Комстрока гласит:
Цитата:
Команда: (vl-load-com)(vla-close (vla-get-activedocument
(vlax-get-acad-object)) :vlax-false) ; ошибка: Ошибка Automation. Чертеж занят.
skkkk на форуме вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 29.06.2008, 23:26
#51
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,492


Оно и было. Честно говоря, не очень понимаю - а нажать Tab и пробел (или Enter) - неужели сильно сложно?
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 29.06.2008, 23:33
#52
skkkk

AutoCAD_2008->2011
 
Регистрация: 20.03.2008
Московская область
Сообщений: 2,040


Действительно, что я, пальцы переломал что ли?...
Просто захотел сделать в правом верхнем углу под кнопкой Закрыть минипанель из двух кнопок с крестиками: зеленая - сохранить и закрыть (макрос, понятное дело, ^C^C_qsave;_close), и красная - закрыть без сохранения....Мне показалось, так удобней будет
skkkk на форуме вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 30.06.2008, 09:19
#53
Aндрeй


 
Регистрация: 23.08.2007
Москва
Сообщений: 523


Цитата:
Сообщение от skkkk Посмотреть сообщение
Действительно, что я, пальцы переломал что ли?...
Просто захотел сделать в правом верхнем углу под кнопкой Закрыть минипанель из двух кнопок с крестиками: зеленая - сохранить и закрыть (макрос, понятное дело, ^C^C_qsave;_close), и красная - закрыть без сохранения....Мне показалось, так удобней будет
Есть брутфорсный метод закрытия без сохранения - сохранить под другим временным именем и закрыть. Кстати можно реализовать на макро используя filedia 0 и saveas
Aндрeй вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 07.07.2008, 15:03
#54
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 4,995


как через командную строку нажать: CTRL+TAB ?
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 17.08.2008, 03:34
#55
skkkk

AutoCAD_2008->2011
 
Регистрация: 20.03.2008
Московская область
Сообщений: 2,040


Андрей, хотел попробовать "брутфорсный метод", не работает что-то у меня _saveas при filedia=0 - виснет КАД. Я нашел, другой, тоже брутфорсоватый, работает. Не макро, но тем не менее....http://dwg.ru/f/showthread.php?t=949...8%F6%2A&page=2
skkkk на форуме вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.09.2008, 14:40
#56
stas_org


 
Регистрация: 05.04.2007
Самара
Сообщений: 977
Отправить сообщение для stas_org с помощью ICQ


Цитата:
Сообщение от Makswell Посмотреть сообщение
zenon, макросом ИМХО не сделать. Можно лиспом.
пост№7

^C^C_area о \_text \;;%%u$M=$(*,$(fix,$(*,$(getvar,area),0.0001)),0.01)м%%178;
stas_org вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.09.2008, 15:00
#57
skkkk

AutoCAD_2008->2011
 
Регистрация: 20.03.2008
Московская область
Сообщений: 2,040


Во вставляемом тексте при измерении замкнутой фигуры (пробовал на прямоугольнике и круге) появляется значение ноль метров квадратных. Почему?
skkkk на форуме вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.09.2008, 15:10
#58
stas_org


 
Регистрация: 05.04.2007
Самара
Сообщений: 977
Отправить сообщение для stas_org с помощью ICQ


регион попробуй
stas_org вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.09.2008, 15:12
#59
skkkk

AutoCAD_2008->2011
 
Регистрация: 20.03.2008
Московская область
Сообщений: 2,040


То же самое.
skkkk на форуме вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.09.2008, 15:13
#60
stas_org


 
Регистрация: 05.04.2007
Самара
Сообщений: 977
Отправить сообщение для stas_org с помощью ICQ


и полилиния замкнутая тоже работает
stas_org вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Мои макрокоманды

Инженерные консультации
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Мои динамические блоки Shoorup AutoCAD 2713 21.04.2011 23:34
Повторение выполнения макрокоманды по циклу. КАК? Kostinok AutoCAD 12 05.12.2007 15:40
Мои проекты Vova Разное 10 08.10.2007 23:18
Мои палитры инструментов на соседний компьютер Pave1 AutoCAD 4 27.06.2006 09:45

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||


Размещение рекламы